/***
 * GASP: a gaming services platform for mobile multiplayer games.
 * MooDS: a communication protocol used in GASP.
 * GASP Demonstrator: a gasp demonstration game.
 *
 * Copyright (C) 2004 CNAM/INT
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Contact: gasp-team@objectweb.org
 *
 * Author: Franck Caron, Romain Pellerin
 */
/*
 * Created on 2 december 2005
 *
 * @author CARON Franck - CNAM CEDRIC
 * @author PELLERIN Romain - CNAM CEDRIC
 * 
 * 
 * Research project: CNAM-CEDRIC - INT - Filao
 */
package app2;
/*
 * Created on 28 october 05
 */
/**
 * 
 * @author Franck CARON
 *
 */
public class PingPlayer {
    
    /**
     * @param id id for a specific Ping
     * @param pingNum increased for each ping
     */
	private int id;
	private int pingNum;
	private int desynchronizationWithSender;
	private int senderAveragePing;
	private long timestamp;
	
    public PingPlayer(){
    	id=0;
    	pingNum=0;
    	desynchronizationWithSender = 0;
    	senderAveragePing = 0;
    }

	public int getId () {
		return id;
			}
	public int getPingNum() {
		return pingNum;
	}	
	public void  setId (int id1) {
		 id = id1;
	}
	public int setPingNum(int id2) {
		 return pingNum = id2;
	}
	
	public int getSenderAveragePing() {
		return senderAveragePing;
	}

	public void setSenderAveragePing(int avgPing) {
		senderAveragePing = avgPing;
	}
	
	public int getDesynchronizationWithSender() {
		return desynchronizationWithSender;
	}

	public void setDesynchronizationWithSender(int dsync) {
		desynchronizationWithSender = dsync;
	}
	
	public long getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(long time) {
		timestamp = time;
	}
	
    public void draw(){
        System.out.println("PingPlayer: "+this.getClass());
        System.out.println("IdPing:"+getId());
        System.out.println("> counter ping: "+getPingNum());
    }

}