/***
 * GASP: a gaming services platform for mobile multiplayer games.
 * MooDS: a communication protocol used in GASP.
 * GASP Demonstrator: a gasp demonstration game.
 *
 * Copyright (C) 2004 CNAM/INT
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Contact: gasp-team@objectweb.org
 *
 * Author: Franck Caron, Romain Pellerin
 */
/*
 * Created on 2 december 2005
 *
 * @author CARON Franck - CNAM CEDRIC
 * @author PELLERIN Romain - CNAM CEDRIC
 * 
 * 
 * Research project: CNAM-CEDRIC - INT - Filao
 */
//#include parameters.h
////#define DEMO
////#define VERSION_SOLO
////#define FRANCK

//#endinclude
package app2;
/*
 * Created on 2 juil. 2004
 *
 */

/**
 * @author Cybernash
 */

public class UpdatePlayer {
    
    private int x;
	private int y;
	private short id;
    private int speedX;
    private int speedY;
    

   
    public UpdatePlayer(){
    	id=0;
    	x=0;
    	y=0;
    	speedX=0;
    	speedY=0;
    }

	public short getId () {
		return id;
			}
	
	public void setId (short id1) {
		id = id1;
	}
	
	public void setId (int id1) {
		id = (short) id1;
	}
	
	public int getX() {
		return x;
	}

	public void setX(int x1) {
		x = x1;
	}
	
	public int getSpeedX() {
		return speedX;
	}

	public void setSpeedX(int speedX1) {
		speedX = speedX1;
	}

	public int getY() {
		return y;
	}

	public void setY(int y1) {
		y = y1;
	}

	public int getSpeedY() {
		return speedY;
	}

	public void setSpeedY(int speedY1) {
		speedY = speedY1;
	}
	
    public void draw(){
        System.out.println("Update: "+this.getClass());
        System.out.println("> x: "+getX());
        System.out.println("> y: "+getY());
    }
    

}
